/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSGraphics_bindings;

import dstep.foundation.NSGeometry;
import dstep.foundation.NSObjCRuntime;
import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id NSCalibratedWhiteColorSpace;
		package id NSCalibratedBlackColorSpace;
		package id NSCalibratedRGBColorSpace;
		package id NSDeviceWhiteColorSpace;
		package id NSDeviceBlackColorSpace;
		package id NSDeviceRGBColorSpace;
		package id NSDeviceCMYKColorSpace;
		package id NSNamedColorSpace;
		package id NSPatternColorSpace;
		package id NSCustomColorSpace;
		package id NSDeviceResolution;
		package id NSDeviceColorSpaceName;
		package id NSDeviceBitsPerSample;
		package id NSDeviceIsScreen;
		package id NSDeviceIsPrinter;
		package id NSDeviceSize;
	}
}

extern (C)
{
	package int NSBestDepth (id colorSpace, NSInteger bps, NSInteger bpp, bool planar, bool* exactMatch);
	package id NSColorSpaceFromDepth (int depth);
	package NSInteger NSNumberOfColorComponents (id colorSpaceName);
	package id NSReadPixel (NSPoint passedPoint);
	package void NSDrawBitmap (NSRect rect, NSInteger width, NSInteger height, NSInteger bps, NSInteger spp, NSInteger bpp, NSInteger bpr, bool isPlanar, bool hasAlpha, id colorSpaceName, char*[5] data);
	package void NSShowAnimationEffect (uint animationEffect, NSPoint centerLocation, NSSize size, id animationDelegate, SEL didEndSelector, void* contextInfo);
}